package com.ejie.ab79.model;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * ActuacionesJson  
 *  
 */

public class ActuacionesJson  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idActuacionJson;
            private InspeccionesJson inspeccionesJson;
            private String idActuacionMovil;
            private Integer estado;
            private String error;
            private Date fechaRegistro;
            private String usuarioRegistro;
            private Date fechaUltmodificacion;
            private String usuarioUltmodificacion;
            private List<DocumentosJson> documentosJsons = new ArrayList<DocumentosJson>();

	/** 
	 * Method 'ActuacionesJson'.
	 */
    public ActuacionesJson() {
    }


	
    
    /** 
     * Method 'ActuacionesJson'.
     * @param idActuacionJson Integer
     */    
     public ActuacionesJson(Integer idActuacionJson) {
          this.idActuacionJson = idActuacionJson;
	}


    /** 
     * Method 'ActuacionesJson'.
     * @param idActuacionJson Integer
     * @param idActuacionMovil String
     * @param estado Integer
     * @param error String
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     * @param fechaUltmodificacion Date
     * @param usuarioUltmodificacion String
     * @param inspeccionesJson InspeccionesJson
     */
     public ActuacionesJson(Integer idActuacionJson, String idActuacionMovil, Integer estado, String error, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion , InspeccionesJson inspeccionesJson) {	
        this.idActuacionJson = idActuacionJson;
        this.inspeccionesJson = inspeccionesJson;
        this.idActuacionMovil = idActuacionMovil;
        this.estado = estado;
        this.error = error;
        this.fechaRegistro = fechaRegistro;
        this.usuarioRegistro = usuarioRegistro;
        this.fechaUltmodificacion = fechaUltmodificacion;
        this.usuarioUltmodificacion = usuarioUltmodificacion;
	}
    

    /** 
     * Method 'ActuacionesJson'.
     * @param idActuacionJson Integer
     * @param idActuacionMovil String
     * @param estado Integer
     * @param error String
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     * @param fechaUltmodificacion Date
     * @param usuarioUltmodificacion String
     * @param inspeccionesJson InspeccionesJson
     * @param documentosJsons List<DocumentosJson>
     */
   public ActuacionesJson(Integer idActuacionJson, String idActuacionMovil, Integer estado, String error, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion, InspeccionesJson inspeccionesJson, List<DocumentosJson> documentosJsons) {	

           this.idActuacionJson = idActuacionJson;
           this.inspeccionesJson = inspeccionesJson;
           this.idActuacionMovil = idActuacionMovil;
           this.estado = estado;
           this.error = error;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
           this.fechaUltmodificacion = fechaUltmodificacion;
           this.usuarioUltmodificacion = usuarioUltmodificacion;
           this.documentosJsons = documentosJsons;
    }

    /**
	 * Method 'getIdActuacionJson'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdActuacionJson() {
		return this.idActuacionJson;
	}

	/**
	 * Method 'setIdActuacionJson'.
	 *
	 * @param idActuacionJson Integer
	 * @return
     */
	
	public void setIdActuacionJson(Integer idActuacionJson) {
		this.idActuacionJson = idActuacionJson;
	}
    /**
	 * Method 'getInspeccionesJson'.
	 *
	 * @return InspeccionesJson
	 */
	@JsonIgnore
	
	public InspeccionesJson getInspeccionesJson() {
		return this.inspeccionesJson;
	}

	/**
	 * Method 'setInspeccionesJson'.
	 *
	 * @param inspeccionesJson InspeccionesJson
	 * @return
     */
	
	public void setInspeccionesJson(InspeccionesJson inspeccionesJson) {
		this.inspeccionesJson = inspeccionesJson;
	}
    /**
	 * Method 'getIdActuacionMovil'.
	 *
	 * @return String
	 */
	
	
	public String getIdActuacionMovil() {
		return this.idActuacionMovil;
	}

	/**
	 * Method 'setIdActuacionMovil'.
	 *
	 * @param idActuacionMovil String
	 * @return
     */
	
	public void setIdActuacionMovil(String idActuacionMovil) {
		this.idActuacionMovil = idActuacionMovil;
	}
    /**
	 * Method 'getEstado'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getEstado() {
		return this.estado;
	}

	/**
	 * Method 'setEstado'.
	 *
	 * @param estado Integer
	 * @return
     */
	
	public void setEstado(Integer estado) {
		this.estado = estado;
	}
    /**
	 * Method 'getError'.
	 *
	 * @return String
	 */
	
	
	public String getError() {
		return this.error;
	}

	/**
	 * Method 'setError'.
	 *
	 * @param error String
	 * @return
     */
	
	public void setError(String error) {
		this.error = error;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}
    /**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}
    /**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion String
	 * @return
     */
	
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}
	/**
	 * Method 'getDocumentosJsons'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<DocumentosJson> getDocumentosJsons() {
		return this.documentosJsons;
	}
	
	/**
	 * Method 'setDocumentosJsons'.
	 *
	 * @param documentosJsons List
	 * @return
	 */
	public void setDocumentosJsons(List<DocumentosJson> documentosJsons) {
		this.documentosJsons = documentosJsons;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idActuacionJson: ").append(this.idActuacionJson).append(" ]");
		result.append(", [ idActuacionMovil: ").append(this.idActuacionMovil).append(" ]");
		result.append(", [ estado: ").append(this.estado).append(" ]");
		result.append(", [ error: ").append(this.error).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}


}

